org.keycloak.forms.account.freemarker.model

## Class ApplicationsBean.ApplicationEntry

- java.lang.Object
- - org.keycloak.forms.account.freemarker.model.ApplicationsBean.ApplicationEntry

- Enclosing class:
    ApplicationsBean

      public static class ApplicationsBean.ApplicationEntry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEntry(KeycloakSession session, List<RoleModel> realmRolesAvailable, MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesAvailable, ClientModel client, List<String> clientScopesGranted, List<String> additionalGrants)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAdditionalGrants()`
    `ClientModel` | `getClient()`
    `List<String>` | `getClientScopesGranted()`
    `String` | `getEffectiveUrl()`
    `List<RoleModel>` | `getRealmRolesAvailable()`
    `MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry>` | `getResourceRolesAvailable()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationEntry

          public ApplicationEntry(KeycloakSession session,
                                  List<RoleModel> realmRolesAvailable,
                                  MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> resourceRolesAvailable,
                                  ClientModel client,
                                  List<String> clientScopesGranted,
                                  List<String> additionalGrants)

  - ### Method Detail

    - #### getRealmRolesAvailable

          public List<RoleModel> getRealmRolesAvailable()

    - #### getResourceRolesAvailable

          public MultivaluedHashMap<String,ApplicationsBean.ClientRoleEntry> getResourceRolesAvailable()

    - #### getClientScopesGranted

          public List<String> getClientScopesGranted()

    - #### getEffectiveUrl

          public String getEffectiveUrl()

    - #### getClient

          public ClientModel getClient()

    - #### getAdditionalGrants

          public List<String> getAdditionalGrants()

Copyright © 2021 JBoss by Red Hat. All rights reserved.